Bug 1462514 - Requires for bugzilla package missing perl(ExtUtils::MakeMaker)
Requires for bugzilla package missing perl(ExtUtils::MakeMaker)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-18 07:18 EDT by Quentin Armitage
Modified: 2017-09-08 17:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: bugzilla-5.0.3-6.fc26 bugzilla-5.0.3-5.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-08 12:20:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Quentin Armitage 2017-06-18 07:18:32 EDT
Description of problem:
`dnf install bugzilla` produces the following output:
Can't locate ExtUtils/MM.pm in @INC (you may need to install the ExtUtils::MM module) (@INC contains: . lib /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at Bugzilla/Install/Util.pm line 49.

Version-Release number of selected component (if applicable):
bugzilla-5.0.3-5.fc26.noarch

How reproducible:
Install without perl-ExtUtils-MakeMaker installed

Steps to Reproduce:
1. dnf install bugzilla
2.
3.

Actual results:
Error message shown above

Expected results:
No error message

Additional info:
Installing perl-Exttils-MakeMaker before installing bugzilla stops the error message being produced.
Comment 1 Emmanuel Seyman 2017-06-18 16:44:12 EDT
I Was sure I had already fixed this at one point...
The dependency will be added in the next update.
Comment 2 Fedora Update System 2017-09-01 07:52:38 EDT
bugzilla-5.0.3-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5f9e8cf9a1
Comment 3 Fedora Update System 2017-09-01 08:52:50 EDT
bugzilla-5.0.3-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4690fb6f82
Comment 4 Fedora Update System 2017-09-08 12:20:55 EDT
bugzilla-5.0.3-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2017-09-08 17:21:02 EDT
bugzilla-5.0.3-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.